com.independentsoft.exchange

## Enum ContactDataShapeType

- java.lang.Object
- - java.lang.Enum<ContactDataShapeType>
  - - com.independentsoft.exchange.ContactDataShapeType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ContactDataShapeType>

      public enum ContactDataShapeType
      extends java.lang.Enum<ContactDataShapeType>

  Identifies the set of properties to return in an item or folder response.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL_PROPERTIES` Returns all the properties used by the Exchange Business Logic layer to construct a folder.
    `DEFAULT` Returns a set of properties that are defined as the default for the item or folder.
    `ID` Returns only the item or folder ID.
    `NONE` None.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ContactDataShapeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ContactDataShapeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ID

          public static final ContactDataShapeType ID

      Returns only the item or folder ID.

    - #### DEFAULT

          public static final ContactDataShapeType DEFAULT

      Returns a set of properties that are defined as the default for the item or folder.

    - #### ALL_PROPERTIES

          public static final ContactDataShapeType ALL_PROPERTIES

      Returns all the properties used by the Exchange Business Logic layer to construct a folder.

    - #### NONE

          public static final ContactDataShapeType NONE

      None.

  - ### Method Detail

    - #### values

          public static ContactDataShapeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContactDataShapeType c : ContactDataShapeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContactDataShapeType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null